Bug 129084 - ICH6 SATA support
ICH6 SATA support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-03 17:05 EDT by John Haverty
Modified: 2013-07-02 22:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Haverty 2004-08-03 17:05:38 EDT
Description of problem:
Dell GX 280 will not work native against the SATA drives. Upon taking 
off the BIOS based PATA emulation, the machine no longer boots. ICH6 
is indicated, but only the CD shows up as hda. With the BIOS 
emulation on, the HDD is hda and the CD is hdc.

Version-Release number of selected component (if applicable):
Fully updated RHEL 3.0


How reproducible:
Attempt to get SATA working without BIOS emulation on any hardware 
with an ICH6 SATA controller.

Steps to Reproduce:
1. By ICH based computer
2. Install RHEL (with BIOS emulation on)
3. Try to get the computer to work with native SATA and not PATA 
emulation.
  
Actual results:
PATA emulation must stay on.

Expected results:
Since this is going to be very popular hardware in the very near 
future it would be prudent to support it.

Additional info:

00:00.0 Host bridge: Intel Corp. 915G/P/GV Processor to I/O 
Controller (rev 04)
00:01.0 PCI bridge: Intel Corp. 915G/P/GV PCI Express Root Port (rev 
04)
00:1c.0 PCI bridge: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) 
PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) 
PCI Express Port 2 (rev 03)
00:1d.0 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 
Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corp. 
82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
00:1f.0 ISA bridge: Intel Corp. 82801FB/FR (ICH6/ICH6R) LPC Interface 
Bridge (rev 03)
00:1f.2 IDE interface: Intel Corp. 82801FB/FW (ICH6/ICH6W) SATA 
Controller (rev 03)
00:1f.3 SMBus: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus 
Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc: Unknown 
device 5b60
01:00.1 Display controller: ATI Technologies Inc: Unknown device 5b70
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 
Gigabit Ethernet PCI Express (rev 01)
04:00.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] 
(rev 08)

# dmidecode 2.2
SMBIOS 2.3 present.
74 structures occupying 2368 bytes.
Table at 0x000F0450.
Handle 0xDA00
        DMI type 218, 53 bytes.
        OEM-specific Type
                Header And Data:
                        DA 35 00 DA B2 00 17 0B 0E 38 00 00 80 00 80 
01
                        00 02 80 02 80 01 00 00 A0 00 A0 01 00 58 00 
58
                        00 01 00 59 00 59 00 01 00 05 80 05 80 01 00 
FF
                        FF 00 00 00 00
Handle 0xDA01
        DMI type 218, 35 bytes.
        OEM-specific Type
                Header And Data:
                        DA 23 01 DA B2 00 17 0B 0E 38 00 10 F5 10 F5 
00
                        00 11 F5 11 F5 00 00 12 F5 12 F5 00 00 FF FF 
00
                        00 00 00
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information
                Vendor: Dell Inc.                
                Version: A00
                Release Date: 06/09/2004
                Address: 0xF0000
                Runtime Size: 64 kB
                ROM Size: 512 kB
                Characteristics:
                        PCI is supported
                        PNP is supported
                        APM is supported
                        BIOS is upgradeable
                        BIOS shadowing is allowed
                        Boot from CD is supported
                        Selectable boot is supported
                        EDD is supported
                        Japanese floppy for Toshiba 1.2 MB is 
supported (int 13h)
                        Print screen service is supported (int 5h)
                        8042 keyboard services are supported (int 9h)
                        Serial services are supported (int 14h)
                        Printer services are supported (int 17h)
                        ACPI is supported
                        USB legacy is supported
                        LS-120 boot is supported
                        BIOS boot specification is supported
                        Function key-initiated network boot is 
supported
Handle 0x0100
        DMI type 1, 25 bytes.
        System Information
                Manufacturer: Dell Inc.                
                Product Name: Optiplex GX280               
                Version: Not Specified
                Serial Number: 3M21F51
                UUID: 44454C4C-4D00-1032-8031-B3C04F463531
                Wake-up Type: Power Switch
Handle 0x0200
        DMI type 2, 8 bytes.
        Base Board Information
                Manufacturer: Dell Inc.          
                Product Name: 0Y5638
                Version:    
                Serial Number: ..CN6986146E01AB.
Handle 0x0300
        DMI type 3, 13 bytes.
        Chassis Information
                Manufacturer: Dell Inc.                
                Type: Mini Tower
                Lock: Not Present
                Version: Not Specified
                Serial Number: 3M21F51
                Asset Tag:           
                Boot-up State: Warning
                Power Supply State: Safe
                Thermal State: Safe
                Security Status: None
Handle 0x0400
        DMI type 4, 32 bytes.
        Processor Information
                Socket Designation: Microprocessor
                Type: Central Processor
                Family: Pentium 4
                Manufacturer: Intel
                ID: 34 0F 00 00 FF FB EB BF
                Signature: Type 0, Family F, Model 3, Stepping 4
                Flags:
                        FPU (Floating-point unit on-chip)
                        VME (Virtual mode extension)
                        DE (Debugging extension)
                        PSE (Page size extension)
                        TSC (Time stamp counter)
                        MSR (Model specific registers)
                        PAE (Physical address extension)
                        MCE (Machine check exception)
                        CX8 (CMPXCHG8 instruction supported)
                        APIC (On-chip APIC hardware supported)
                        SEP (Fast system call)
                        MTRR (Memory type range registers)
                        PGE (Page global enable)
                        MCA (Machine check architecture)
                        CMOV (Conditional move instruction supported)
                        PAT (Page attribute table)
                        PSE-36 (36-bit page size extension)
                        CLFSH (CLFLUSH instruction supported)
                        DS (Debug store)
                        ACPI (ACPI supported)
                        MMX (MMX technology supported)
                        FXSR (Fast floating-point save and restore)
                        SSE (Streaming SIMD extensions)
                        SSE2 (Streaming SIMD extensions 2)
                        SS (Self-snoop)
                        HTT (Hyper-threading technology)
                        TM (Thermal monitor supported)
                        SBF (Signal break on FERR)
                Version: Not Specified
                Voltage: 1.7 V
                External Clock: 800 MHz
                Max Speed: 3600 MHz
                Current Speed: 3400 MHz
                Status: Populated, Enabled
                Upgrade: ZIF Socket
                L1 Cache Handle: 0x0700
                L2 Cache Handle: 0x0701
                L3 Cache Handle: Not Provided
Handle 0x0700
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: Not Specified
                Configuration: Enabled, Not Socketed, Level 1
                Operational Mode: Write Back
                Location: Internal
                Installed Size: 16 KB
                Maximum Size: 16 KB
                Supported SRAM Types:
                        Other
                Installed SRAM Type: Other
                Speed: Unknown
                Error Correction Type: None
                System Type: Data
                Associativity: 8-way Set-associative
Handle 0x0701
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: Not Specified
                Configuration: Enabled, Not Socketed, Level 2
                Operational Mode: Varies With Memory Address
                Location: Internal
                Installed Size: 1024 KB
                Maximum Size: 1024 KB
                Supported SRAM Types:
                        Other
                Installed SRAM Type: Other
                Speed: Unknown
                Error Correction Type: Single-bit ECC
                System Type: Unified
                Associativity: 8-way Set-associative
Handle 0x0800
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: PARALLEL
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: DB-25 female
                Port Type: Parallel Port PS/2
Handle 0x0801
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: SERIAL1
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: DB-9 male
                Port Type: Serial Port 16550A Compatible
Handle 0x0802
        DMI type 126, 9 bytes.
        Inactive
Handle 0x0803
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: KYBD
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: PS/2
                Port Type: Keyboard Port
Handle 0x0804
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: MOUSE
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: PS/2
                Port Type: Mouse Port
Handle 0x0805
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: USB1
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0806
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: USB2
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0807
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: USB3
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0808
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: USB4
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0809
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: USB5
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x080A
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: USB6
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x080B
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: USB7
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x080C
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: USB8
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x080D
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: ENET
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: RJ-45
                Port Type: Network Port
Handle 0x080E
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: MIC
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x080F
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: LINE-OUT
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x0810
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: LINE-IN
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x0811
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: HP-OUT
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x0812
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: MONITOR
                Internal Connector Type: None
                External Reference Designator: Not Specified
                External Connector Type: DB-15 female
                Port Type: Video Port
Handle 0x0901
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI_E_1
                Type: <OUT OF SPEC><OUT OF SPEC>
                Current Usage: In Use
                Length: Long
                Characteristics:
                        3.3 V is provided
                        PME signal is supported
Handle 0x0902
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI_1  
                Type: 32-bit PCI
                Current Usage: In Use
                Length: Long
                ID: 2
                Characteristics:
                        5.0 V is provided
                        3.3 V is provided
                        PME signal is supported
Handle 0x0903
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI_2  
                Type: 32-bit PCI
                Current Usage: Available
                Length: Long
                ID: 3
                Characteristics:
                        5.0 V is provided
                        3.3 V is provided
                        PME signal is supported
Handle 0x0904
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI_3  
                Type: 32-bit PCI
                Current Usage: Available
                Length: Long
                ID: 4
                Characteristics:
                        5.0 V is provided
                        3.3 V is provided
                        PME signal is supported
Handle 0x0905
        DMI type 126, 13 bytes.
        Inactive
Handle 0x0906
        DMI type 126, 13 bytes.
        Inactive
Handle 0x090A
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PEG
                Type: <OUT OF SPEC><OUT OF SPEC>
                Current Usage: In Use
                Length: Long
                Characteristics:
                        3.3 V is provided
                        PME signal is supported
Handle 0x0A00
        DMI type 10, 6 bytes.
        On Board Device Information
                Type: Video
                Status: Disabled
                Description: Intel Graphics Media Accelerator
Handle 0x0A02
        DMI type 10, 6 bytes.
        On Board Device Information
                Type: Ethernet
                Status: Enabled
                Description: Broadcom 5751 NetXtreme Gigabit 
Controller
Handle 0x0A03
        DMI type 10, 6 bytes.
        On Board Device Information
                Type: Sound
                Status: Enabled
                Description: AC'97 Audio Controller
Handle 0x0B00
        DMI type 11, 5 bytes.
        OEM Strings
                String 1: www.dell.com
Handle 0x0D00
        DMI type 13, 22 bytes.
        BIOS Language Information
                Installable Languages: 1
                        en|US|iso8859-1
                Currently Installed Language: en|US|iso8859-1
Handle 0x0F00
        DMI type 15, 29 bytes.
        System Event Log
                Area Length: 2049 bytes
                Header Start Offset: 0x0000
                Header Length: 16 bytes
                Data Start Offset: 0x0010
                Access Method: Memory-mapped physical 32-bit address
                Access Address: 0xFFF81000
                Status: Valid, Not Full
                Change Token: 0x00000003
                Header Format: Type 1
                Supported Log Type Descriptors: 3
                Descriptor 1: POST error
                Data Format 1: POST results bitmap
                Descriptor 2: System limit exceeded
                Data Format 2: System management
                Descriptor 3: Log area reset/cleared
                Data Format 3: None
Handle 0x1000
        DMI type 16, 15 bytes.
        Physical Memory Array
                Location: System Board Or Motherboard
                Use: System Memory
                Error Correction Type: Single-bit ECC
                Maximum Capacity: 1 GB
                Error Information Handle: Not Provided
                Number Of Devices: 4
Handle 0x1100
        DMI type 17, 23 bytes.
        Memory Device
                Array Handle: 0x1000
                Error Information Handle: Not Provided
                Total Width: 64 bits
                Data Width: 64 bits
                Size: 512 MB
                Form Factor: DIMM
                Set: None
                Locator: DIMM_1
                Bank Locator: Not Specified
                Type: SDRAM
                Type Detail: Synchronous
                Speed: 400 MHz (2.5 ns)
Handle 0x1101
        DMI type 17, 23 bytes.
        Memory Device
                Array Handle: 0x1000
                Error Information Handle: Not Provided
                Total Width: 64 bits
                Data Width: 64 bits
                Size: 512 MB
                Form Factor: DIMM
                Set: None
                Locator: DIMM_3
                Bank Locator: Not Specified
                Type: SDRAM
                Type Detail: Synchronous
                Speed: 400 MHz (2.5 ns)
Handle 0x1102
        DMI type 17, 23 bytes.
        Memory Device
                Array Handle: 0x1000
                Error Information Handle: Not Provided
                Total Width: 64 bits
                Data Width: 64 bits
                Size: No Module Installed
                Form Factor: DIMM
                Set: None
                Locator: DIMM_2
                Bank Locator: Not Specified
                Type: SDRAM
                Type Detail: Synchronous
                Speed: 400 MHz (2.5 ns)
Handle 0x1103
        DMI type 17, 23 bytes.
        Memory Device
                Array Handle: 0x1000
                Error Information Handle: Not Provided
                Total Width: 64 bits
                Data Width: 64 bits
                Size: No Module Installed
                Form Factor: DIMM
                Set: None
                Locator: DIMM_4
                Bank Locator: Not Specified
                Type: SDRAM
                Type Detail: Synchronous
                Speed: 400 MHz (2.5 ns)
Handle 0x1301
        DMI type 19, 15 bytes.
        Memory Array Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0003FFFFFFF
                Range Size: 1 GB
                Physical Array Handle: 0x1000
                Partition Width: 0
Handle 0x1402
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0001FFFFFFF
                Range Size: 512 MB
                Physical Device Handle: 0x1100
                Memory Array Mapped Address Handle: 0x1301
                Partition Row Position: 1
Handle 0x1403
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00020000000
                Ending Address: 0x0003FFFFFFF
                Range Size: 512 MB
                Physical Device Handle: 0x1101
                Memory Array Mapped Address Handle: 0x1301
                Partition Row Position: 1
Handle 0x1404
        DMI type 126, 19 bytes.
        Inactive
Handle 0x1405
        DMI type 126, 19 bytes.
        Inactive
Handle 0x1800
        DMI type 24, 5 bytes.
        Hardware Security
                Power-On Password Status: Enabled
                Keyboard Password Status: Not Implemented
                Administrator Password Status: Enabled
                Front Panel Reset Status: Not Implemented
Handle 0x1900
        DMI type 25, 9 bytes.
        System Power Controls
                Next Scheduled Power-on: *-* 00:00:00
Handle 0x1B10
        DMI type 27, 12 bytes.
        Cooling Device
                Type: Fan
                Status: OK
                OEM-specific Information: 0x0000DD00
Handle 0x1B11
        DMI type 126, 12 bytes.
        Inactive
Handle 0x1B12
        DMI type 126, 12 bytes.
        Inactive
Handle 0x2000
        DMI type 32, 11 bytes.
        System Boot Information
                Status: No errors detected
Handle 0x8000
        DMI type 128, 6 bytes.
        OEM-specific Type
                Header And Data:
                        80 06 00 80 5A 5A
Handle 0x8100
        DMI type 129, 8 bytes.
        OEM-specific Type
                Header And Data:
                        81 08 00 81 01 01 02 01
                Strings:
                        Intel_ASF
                        Dell_ASF_002
Handle 0xD000
        DMI type 208, 10 bytes.
        OEM-specific Type
                Header And Data:
                        D0 0A 00 D0 01 03 FE 00 79 01
Handle 0xD100
        DMI type 209, 12 bytes.
        OEM-specific Type
                Header And Data:
                        D1 0C 00 D1 78 03 07 03 04 0F 80 05
Handle 0xD200
        DMI type 210, 12 bytes.
        OEM-specific Type
                Header And Data:
                        D2 0C 00 D2 F8 03 04 03 06 80 04 05
Handle 0xD201
        DMI type 126, 12 bytes.
        Inactive
Handle 0xD400
        DMI type 212, 187 bytes.
        OEM-specific Type
                Header And Data:
                        D4 BB 00 D4 70 00 71 00 00 10 2D 2E 42 00 11 
FE
                        01 43 00 11 FE 00 0F 00 25 FC 00 10 00 25 FC 
01
                        11 00 25 FC 02 12 00 25 FC 03 00 00 25 F3 00 
00
                        00 25 F3 04 00 00 25 F3 08 00 00 25 F3 0C 07 
00
                        23 8F 00 08 00 23 F3 00 09 00 23 F3 04 0A 00 
23
                        F3 08 0B 00 23 8F 10 0C 00 23 8F 20 0E 00 23 
8F
                        30 0D 00 23 8C 40 A6 00 23 8C 41 A7 00 23 8C 
42
                        05 01 22 FD 02 06 01 22 FD 00 8C 00 22 FE 00 
8D
                        00 22 FE 01 9B 00 25 3F 40 9C 00 25 3F 00 09 
01
                        25 3F 80 A1 00 26 F3 00 A2 00 26 F3 08 A3 00 
26
                        F3 04 9F 00 26 FD 02 A0 00 26 FD 00 9D 00 11 
FB
                        04 9E 00 11 FB 00 FF FF 00 00 00
Handle 0xD401
        DMI type 212, 202 bytes.
        OEM-specific Type
                Header And Data:
                        D4 CA 01 D4 70 00 71 00 03 40 59 6D 2D 00 59 
FC
                        02 2E 00 59 FC 00 6E 00 59 FC 01 27 01 59 FC 
03
                        28 00 59 3F 00 29 00 59 3F 40 2A 00 59 3F 80 
2B
                        00 5A 00 00 2C 00 5B 00 00 55 00 59 F3 00 6D 
00
                        59 F3 04 8E 00 59 F3 08 8F 00 59 F3 00 5C 00 
78
                        BF 40 5D 00 78 BF 00 04 80 78 F5 0A 01 A0 78 
F5
                        00 1C 00 55 FB 04 1D 00 55 FB 00 19 00 55 E7 
00
                        1A 00 55 E7 08 1B 00 55 E7 10 93 00 7B 7F 80 
94
                        00 7B 7F 00 23 00 55 7F 00 22 00 55 7F 80 03 
C0
                        67 00 05 8A 00 37 DF 20 8B 00 37 DF 00 F5 00 
58
                        BF 40 F6 00 58 BF 00 EB 00 55 FE 00 EA 00 55 
FE
                        01 01 01 51 3F 00 02 01 51 3F 40 03 01 51 3F 
80
                        04 01 51 3F C0 FF FF 00 00 00
Handle 0xD402
        DMI type 212, 177 bytes.
        OEM-specific Type
                Header And Data:
                        D4 B1 02 D4 70 00 71 00 00 10 2D 2E 2D 01 21 
FE
                        01 2E 01 21 FE 00 2F 01 21 7F 00 30 01 21 7F 
80
                        97 00 22 FB 00 98 00 22 FB 04 90 00 11 CF 00 
91
                        00 11 CF 20 92 00 11 CF 10 E2 00 27 7F 00 E3 
00
                        27 7F 80 E4 00 27 BF 00 E5 00 27 BF 40 D1 00 
22
                        7F 80 D2 00 22 7F 00 17 01 52 EF 00 18 01 52 
EF
                        10 19 01 52 FD 00 1A 01 52 FD 02 1B 01 52 DF 
00
                        1C 01 52 DF 20 1D 01 52 F7 00 1E 01 52 F7 08 
09
                        40 52 BF 00 08 40 52 BF 40 0B 40 52 7F 00 0A 
40
                        52 7F 80 0D 40 52 FE 00 0C 40 52 FE 01 0F 40 
52
                        FB 00 0E 40 52 FB 04 36 01 21 F1 02 FF FF 00 
00
                        00
Handle 0xD800
        DMI type 126, 9 bytes.
        Inactive
Handle 0xDD00
        DMI type 221, 19 bytes.
        OEM-specific Type
                Header And Data:
                        DD 13 00 DD 00 01 00 00 00 10 F5 00 00 00 00 
00
                        00 00 00
Handle 0xDD01
        DMI type 221, 19 bytes.
        OEM-specific Type
                Header And Data:
                        DD 13 01 DD 00 01 00 00 00 11 F5 00 00 00 00 
00
                        00 00 00
Handle 0xDD02
        DMI type 221, 19 bytes.
        OEM-specific Type
                Header And Data:
                        DD 13 02 DD 00 01 00 00 00 12 F5 00 00 00 00 
00
                        00 00 00
Handle 0xDE00
        DMI type 222, 13 bytes.
        OEM-specific Type
                Header And Data:
                        DE 0D 00 DE C1 01 FF FF 00 00 00 00 00
Handle 0xDF00
        DMI type 223, 61 bytes.
        OEM-specific Type
                Header And Data:
                        DF 3D 00 DF 0C 00 11 CE 00 00 00 00 00 00 00 
0B
                        DA 39 01 01 11 FF FF FF FF FF FF FF FF FF FF 
FF
                        FF 02 11 CE 00 00 00 00 00 00 00 0B 32 3A 01 
03
                        11 FF FF FF FF FF FF FF FF FF FF FF FF
Handle 0xDF01
        DMI type 126, 33 bytes.
        Inactive
Handle 0x7F00
        DMI type 127, 4 bytes.
        End Of Table
Comment 1 Chris Wilkinson 2004-10-06 09:36:13 EDT
Jeff, 

I simply wanted to add that I agree with John's concern over the Dell
Optiplex 280 hardware support in Enterprise Linux 3. If you are not
aware, Dell has completely discontinued shippment of the 270-series.
This is a shame in some ways, since it ran Enterprise Linux 3
beatifully. This means that those in our market are forced to find an
alternative for inexpensive desktops with the fast FSB we come to
love; the 280-series is the likely candidate.

Please let us know if we can be any help with test kernels and etc. We
have a single SX280 on the bench for exactly that purpose. 

Cheers.
Comment 2 Jeff Garzik 2004-10-06 13:52:35 EDT
Note that current RHEL3 and RHEL4 support up to 4 SATA ports on ICH6
just fine, using the ata_piix drivers.

AHCI is only required if you need support for more than 4 ports, or if
you want additional performance and NCQ support.

AHCI is not _required_ for operation.
Comment 3 Stephen John Smoogen 2004-10-26 15:50:58 EDT
We are seeing problems with booting Dell Optiplex 280's with Red Hat
Enterprise 3 U3 (2.4.21-20.EL). If the BIOS is in SATA compatible
mode, the 2.4.21-9.ELsmp kernel will boot without problems. If the
2.4.21-20 is used it fails in a fairlycant fidn the hard-drvie way

VFS: Cannot open root device "LABEL=/" on 00:00
Please append a correct "root=" boot option
Kernel panic: VFS: Unable to mount root fs on 00:00

Am wondering if an extra section to /etc/modules.conf needs to be
added to get the ati_piix module installed (and if kudzu did not
install it). We are also checking to see if any Dell BIOS updates are
needed.
Comment 4 Lee Damon 2004-12-17 13:30:50 EST
We have just taken delivery of a system based on the intel D915GAVL
motherboard. This moboard uses the 915G chipset.  It exhibits the
problems listed in this bug report when we try to boot with the
2.4.21-20 kernels but is fine with previous RHEL 3 kernels.

When displaying the hardware list on boot it lists the DVD drive on
the PATA controller and then says "ide0: ports already in use,
skipping probe" instead of listing hda and hdb.  It then goes on to
the reported problem finding the kernel (because it can't find the drive).

The BIOS in this motherboard doesn't do PATA emulation for SATA drives
so we're dead in the water until this problem is resolved.  Is there a
work-around that can be passed in the grub boot or put in
/etc/modules.conf?  
Comment 5 Lee Damon 2004-12-17 14:18:40 EST
For those playing along at home who are looking for a workaround, the
trick is to boot an old (working) kernel, make sure you have 
  alias scsi_hostadapter ata_piix
in /etc/modules.conf (it was already there for me)
  cd /boot
preserve the initrd files that you care about just in case
  mkinitrd initrd-2.4.21-20.0.1.EL.img 2.4.21-20.0.1.EL.img
then edit /etc/fstab and /etc/grub.conf to look for /dev/sd instead of
/dev/hd.

I had to change the BIOS setting for the SATA controller to "legacy"
to get the older kernels to boot. 

This doesn't fix the NIC not having a driver at all but it does make
the system bootable.
Comment 8 Ernie Petrides 2005-03-02 13:28:23 EST
A fix for this problem was committed to the RHEL3 U5 patch pool
on 14-Feb-2005 (in kernel version 2.4.21-27.13.EL).
Comment 9 Tim Powers 2005-05-18 09:27:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.